Skip to main content
Version: 2.3.0

Update Multi-file Document

Last updated: September 16, 2026
Updated by: VNPT eContract's team


Purpose​

Update the information of a previously created multi-file document, including the document's general information and the list of component files according to the data passed in the request.

  • Request URL: /v2/documents/update
  • HTTP method: POST
  • HTTP content-type: multipart/form-data
  • Authorize: Bearer token
  • Parameter:
KeyTypeRequiredDescription
idGUIDYesId of the document to be updated
nostring(40)NoDocument number/code
subjectstring(200)YesDocument title
descriptionstring(500)NoDocument description
typeIdintNoDocument type Id according to the system catalog
departmentIdintNoId of the department issuing the document
filesarray<file>NoList of component files of the document, passed directly in the request in multipart/form-data format. Supports passing multiple files in the same request
relatedDocumentIdsarray<GUID>NoId of an existing document — used when needing to extract/link additional files into an existing document
attachmentsarray<file>NoArray list of attachment files for the document
customerCodestring(500)NoCustomer code, used to identify or reference the customer related to the document
customerInformationstring(100)NoCustomer information related to the document

Sample request​

FieldSample value
idf5b0c112-d357-44ce-b8a8-7cb77d3d0b9e
noDOCUMENT-MF-001
subjectMulti-file document DOCUMENT-MF-001 - Updated
descriptionExample of updating document DOCUMENT-MF-001
files[Tai-lieu-chinh-01.pdf, Phu-luc-02.pdf]

Sample response body​

{
"data": {
"id": "f5b0c112-d357-44ce-b8a8-7cb77d3d0b9e",
"createdDate": "2026-08-13T11:12:51.3713264+07:00",
"lastModifiedDate": "2026-08-17T16:02:30.0372285+07:00",
"no": "DOCUMENT-MF-001",
"subject": "Multi-file document DOCUMENT-MF-001 - Updated",
"hasVerified": false,
"hasVerify": false,
"hasSeal": false,
"requireVerifiedUserSigning": false,
"status": {
"value": 1,
"description": "New"
},
"contractStatus": {
"value": 0,
"description": "Undefined"
},
"description": "Example of updating document DOCUMENT-MF-001",
"createdByUserId": 27938,
"processRecipientCount": 0,
"waitingProcesses": [
],
"processInOrder": true,
"isWaitToSignDraw": false,
"isWaitToSignDigital": false,
"isWaitToApprove": false,
"isWaitToFillData": false,
"isWaitToCoordinate": false,
"isWaitToESign": false,
"isWaitToEkyc": false,
"isFillable": false,
"type": {
"id": 8950,
"code": "DOCID",
"name": "Test document",
"documentCount": 1,
"enableVnptSeal": false,
"requireVerifiedUserSigning": false,
"children": [
]
},
"processes": [],
"accessibleViewProcesses": [],
"histories": [
{
"createdDate": "2026-08-17T16:02:30.0196228+07:00",
"requestType": {
"value": 0,
"description": "Web"
},
"ipAddress": "10.70.39.23",
"activity": {
"value": 2,
"description": "Update document"
}
}
],
"attachments": [],
"relatedDocuments": [],
"linkedDocuments": [],
"messages": [],
"fillingItems": [],
"sharedUsers": [],
"isMarkStar": false,
"downloadFileUrls": [
{
"id": "6865273c-90f5-49cd-403b-08defc11a479",
"fileName": "Tai-lieu-chinh-01.pdf",
"downloadUrl": "{HOST}/api/Download?token=...",
"downloadWatermarkMetadataUrl": "{HOST}/api/Download?token=...",
"orderNo": 1,
"size": 168155,
"fileType": {
"value": 0,
"description": "General"
},
"hasSeal": false
},
{
"id": "a940f960-213c-4a89-403c-08defc11a479",
"fileName": "Phu-luc-02.pdf",
"downloadUrl": "{HOST}/api/Download?token=...",
"downloadWatermarkMetadataUrl": "{HOST}/api/Download?token=...",
"orderNo": 2,
"size": 147531,
"fileType": {
"value": 0,
"description": "General"
},
"hasSeal": false
}
],
"zipDownloadUrl": "{HOST}/api/Download/MergeFilesZipDocument?token=...",
"zipDownloadOriginalUrl": "{HOST}/api/Download/MergeFilesZipDocument?token=...",
"zipDownloadWatermarkMetadataUrl": "{HOST}/api/Download/MergeFilesZipDocument?token=...",
"requiresSealSendConfirmation": false,
"fixedPosition": false,
"isLaborContractDocument": false
},
"success": true,
"code": 0,
"messages": [
"Update document success"
]
}

Response Body Description​

KeyTypeDescription
successbooleanResponse status of the request (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages or errors returned from the system (Example: ["Update document success"])
dataobjectObject containing details of the document after the update See details
Note

data.id is the DocumentId of the document after the update. The data.downloadFileUrls array returns the list of component files of the document after the update, in which the id field is the corresponding fileInfoId of each file. These fileInfoId values are used when configuring the processing workflow for each file in the Document Process Update API See details.